Skip to main content
GET
Returns details of the Network - must match the Network owning the requesting API key

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Response

200 - application/json

Returns the Networks attributes

Networks are the main organizational unit within Mighty, and house all other objects

id
integer<uint64>
required

The record's integer ID

Example:

"1234"

created_at
string<date-time>
required

The date and time the record was created

Example:

"2026-08-13T00:16:13+00:00"

updated_at
string<date-time>
required

The date and time the record was last modified

Example:

"2026-08-13T00:16:13+00:00"

subdomain
string
required

The Network subdomain

Example:

"paint-pals"

title
string
required

The Network title

Example:

"The Paint Pals Network"

subtitle
string
required

The Network subtitle

Example:

"A network for artists to share and collaborate"

purpose
string
required

The Network purpose

Example:

"Bring together artists interested in sharing their work and inspiring others"

description
string
required

The Network description

Example:

"A great network"